services:
  <service-name>:
    hostname: <service-name>.docker
    environment:
      PUID: "${SZ_USER_UID}"
      PGID: "${SZ_USER_GID}"
      # RUNTIPI Environment
      RUNTIPI_APP_PORT: "${APP_PORT}"
      RUNTIPI_APP_ID: "${APP_ID}"
      RUNTIPI_APP_DATA_DIR: "${APP_DATA_DIR}"
      RUNTIPI_APP_EXPOSED: "${APP_EXPOSED:-}"
      RUNTIPI_APP_DOMAIN: "${APP_DOMAIN}"
      RUNTIPI_APP_HOST: "${APP_HOST}"
      RUNTIPI_LOCAL_DOMAIN: "${LOCAL_DOMAIN}"
      RUNTIPI_DOMAIN: "${DOMAIN}"
      RUNTIPI_ROOT_DOMAIN: "${ROOT_DOMAIN}"
    # volumes_from:
    # - "container:vols-dl"
    # - "container:vols-personal-media"
    # - "container:vols-shared-media"
    # - "container:vols-media"
    # - "container:vols-arr"
    # - "container:vols-plex"
    labels:
    # Websecure
      traefik.http.routers.<service-name>.middlewares: authentik_sysmgr@file
    #   traefik.http.routers.<service-name>-more.rule: Host(`<service-name>.${ROOT_DOMAIN}`)${APP_ROUTE_OPTIONAL:-}
    #   traefik.http.routers.<service-name>-more.entrypoints: websecure
    #   traefik.http.routers.<service-name>-more.service: <service-name>
    #   traefik.http.routers.<service-name>-more.middlewares: authentik_sysmgr@file
    #   traefik.http.routers.<service-name>-more.tls: true
    #   traefik.http.routers.<service-name>-more.tls.certresolver: myresolver